import { HttpStatusCode } from 'axios';

class Unauthorized extends Error {
    public httpErrorStatusCode = HttpStatusCode.Unauthorized;
    constructor(message: string) {
        super(message);
        this.name = 'Unauthorized';
        // Set the prototype explicitly.
        Object.setPrototypeOf(this, Unauthorized.prototype);
    }
}

export default Unauthorized;
